[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCustomPrintDialog.PrintRange

Determines which values are used to represent the page range.

## Declaration

Source position: dialogs.pp line 581

`public property TCustomPrintDialog.PrintRange : TPrintRange read FPrintRange write FPrintRange default prAllPages;`

## Description

PrintRange is a TPrintRange property which indicates which values on the dialog are used for the page range in a print job.

prAllPages
  Selects all pages in a document for the print job. This is the default value for the property.
prSelection
  Causes the pages selected on the dialog to be used.
prPageNums
  Causes the page range in the FromPage and ToPage properties to be used on the print dialog.
prCurrentPage
  Causes the current page only to be printed.